var currentObj;
var txtPadding = 10;
var lineHeight = 18;
var viewBox, theX, theY, vbH, vbW, s, txt1, txt2;
//遍历对象测试
function showObj(obj){
	var strTem = '';
	for(value in obj){
		strTem+=value+'：'+obj[value]+"\n";
	}
	alert(strTem);
}
//初始化方法
function playGame (id,baseUrl, game) {
    s = Snap(id);
    s.attr({ viewBox: "0 0 580 240" });
    var g = s.g();
    g.image(baseUrl + "Field01.svg", 0, 0, 580, 240);
    this.img_notice = g.image(baseUrl + 'notice.svg').attr("display","none");
    this.img_football = g.image(baseUrl + 'football.svg').attr("display", "none");
	//属性
	this.game = game;
	this.svgs = baseUrl;
	viewBox = s.attr('viewBox');
	vbH = viewBox.height;
	vbW = viewBox.width;
}


//Test Java Script
playGame.prototype.Test = function(){
	alert('Just a test!');
}

//写文字测试
playGame.prototype.ShowTeam = function(txt){
    removeObjA();
	var text = this.s.text(theX, theY, [txt]).attr({
		fill: '#fff',
		textAnchor: "middle",
		"fill-opacity": 1, // or dash-separated names
		//stroke: "#ccc",
	    //strokeWidth: 0.1,
	    //strokeLinecap: "round",
	    //strokeLinejoin: "round"
	});
	//text.animate({"fill-opacity": 0}, 1000, mina.bounce);
	//text.animate({"fill-opacity": 0}, 1000, function(){text.remove();});
	
	setTimeout(function(){
		removeObj(text);
	},3000);

	currentObj = text;
}
var p_line1, p_line2, p_rect, patternBg, background, nbg;
//一方控球
playGame.prototype.InProcessing = function(team){
    removeObjA();
	p_line1 = s.line(0,0, 4,4).attr({"class":"fieldGrid"});
	p_line2 = s.line(4,0, 0,4).attr({"class":"fieldGrid"});
	p_rect = s.rect(0,0, 4,4).attr({"class":"fieldGridBg"});
	patternBg = s.g(p_line1, p_line2, p_rect).pattern(0,0, 4,4);
	if(team==0){
	    nbg = s.rect(0, 0, vbW / 2.5, vbH).attr({ fill: patternBg, opacity: 0.6 });
		txt1 = s.text(vbW/2.5-txtPadding, vbH/2.1, this.game.home).attr({"class":"teamTxt", textAnchor: "end"});
		txt2 = s.text(vbW/2.5-txtPadding, vbH/2.1+lineHeight, t_ip).attr({"class":"desTxt", textAnchor: "end"});
	}else{
	    nbg = s.rect(vbW - vbW / 2.5, 0, vbW / 2.5, vbH).attr({ fill: patternBg, opacity: 0.6 });
		txt1 = s.text(vbW-vbW/2.5+txtPadding, vbH/2.1, this.game.away).attr({"class":"teamTxt", textAnchor: "start"});
		txt2 = s.text(vbW-vbW/2.5+txtPadding, vbH/2.1+lineHeight, t_ip).attr({"class":"desTxt", textAnchor: "start"});
	}
	currentObj = s.g(nbg, txt1, txt2);
}
var gX, gY, arrow, circle, ring, g1, marker1, p1, p1Slow;
//一方发球
playGame.prototype.GoalKick = function(team){
    removeObjA();
	gX = vbW/30;
	gY = vbH/2.46;
	if(team==0){
		txt1 = s.text(vbW/3-txtPadding, vbH/2.1, this.game.home).attr({"class":"teamTxt", textAnchor: "end"});
		txt2 = s.text(vbW/3-txtPadding, vbH/2.1+lineHeight, t_gk).attr({"class":"desTxt", textAnchor: "end"});
	}else{
		gX = vbW-gX;
		txt1 = s.text(vbW-vbW/3+txtPadding, vbH/2.1, this.game.away).attr({"class":"teamTxt", textAnchor: "start"});
		txt2 = s.text(vbW-vbW/3+txtPadding, vbH/2.1+lineHeight, t_gk).attr({"class":"desTxt", textAnchor: "start"});
	}
	arrow = s.polygon([0,6, 6,6, 3,0, 0,6]).attr({"class":"arrow"}).transform('r90');
	circle = s.circle(gX, gY, 4).attr({"class":"circle"});
	ring = s.circle(gX, gY, 8).attr({"class":"ring"});
	g1 = s.g(circle,ring)
	marker1 = arrow.marker(0,0, 6,6, 0,3);
	if(team==0){
		p1 = s.line(gX, gY,gX*8,vbH/3.5).attr({"class":"arrowLine",markerEnd: marker1});
	}else{
		p1 = s.line(gX, gY,gX-(vbW-gX)*7,vbH/3.5).attr({"class":"arrowLine",markerEnd: marker1});
	}

	circleMove();
	ringMove();
	p1Move();

	currentObj = s.g(g1,p1,txt1,txt2);
}
function circleMove() {
    if (circle == null) return;
    circle.animate({ opacity: 0 }, 800, function () {
        if (circle == null) return;
        circle.animate({ opacity: 1 }, 800, function () {
                circleMove();
        });
    });
}

function ringMove() {
    if (ring == null) return;
    ring.animate({ r: 10, opacity: 0 }, 1000, function () {
        if (ring == null) return;
        ring.attr({ r: 5, opacity: 1 });
        ringMove();
    });
}

function p1Move() {
    if (p1 == null) return;
    p1.animate({ opacity: 0 }, 500, function () {
        if (p1 == null) return;
        p1.animate({ opacity: 1 }, 200, function() {
            p1Move();
        });
    });
}

function bgMove() {
    if (background == null) return;
    background.animate({ opacity: 0.3 }, 300, function () {
        if (background == null) return;
        background.animate({ opacity: 0.6 }, 300, bgMove);
    });
}
function bgMoveSlow() {
    if (backgroundSlow == null) return;
    backgroundSlow.animate({ opacity: 0.3 }, 600, function () {
        if (backgroundSlow == null) return;
        backgroundSlow.animate({ opacity: 0.6 }, 600, bgMoveSlow);
    });
}
//一方进攻
var points1, points2, direct, backgroundSlow;
playGame.prototype.Attack = function(team){
    removeObjA();
	points1 = [0,0,400,0,420,40,400,80,420,120,400,160,420,200,400,240,0,240];
	points2 = [580,240,180,240,160,200,180,160,160,120,180,80,160,40,180,0,580,0];
	p_line1 = s.line(0,0, 4,4).attr({"class":"fieldGrid"});
	p_line2 = s.line(4,0, 0,4).attr({"class":"fieldGrid"});
	p_rect = s.rect(0,0, 4,4).attr({"class":"fieldGridBg"});
	patternBg = s.g(p_line1, p_line2, p_rect).pattern(0,0, 4,4);
	if(team==0) {
	    direct = "-";
		backgroundSlow = s.polygon(points1).attr({fill: patternBg, opacity: 0.6});
		txt1 = s.text(vbW/1.6-txtPadding, vbH/2.1, this.game.home).attr({"class":"teamTxt", textAnchor: "end"});
		txt2 = s.text(vbW/1.6-txtPadding, vbH/2.1+lineHeight, t_a).attr({"class":"desTxt", textAnchor: "end"});
	}else{
		direct = ""
		backgroundSlow = s.polygon(points2).attr({ fill: patternBg, opacity: 0.6 });
		txt1 = s.text(vbW-vbW/1.6+txtPadding, vbH/2.1, this.game.away).attr({"class":"teamTxt", textAnchor: "start"});
		txt2 = s.text(vbW-vbW/1.6+txtPadding, vbH/2.1+lineHeight, t_a).attr({"class":"desTxt", textAnchor: "start"});
	}
	currentObj = s.g(backgroundSlow, txt1, txt2).attr({ opacity: 0 });
	currentObj.transform("t" + direct + "200,0");
	currentObj.animate({ "transform": "t" + direct + "100,0", opacity: 1 }, 200);
	
	bgMoveSlow();
}
//一方危险进攻
playGame.prototype.DangerAttack = function(team){
    removeObjA();
	points1 = [0,0,440,0,460,40,440,80,460,120,440,160,460,200,440,240,0,240];
	points2 = [580,240,140,240,120,200,140,160,120,120,140,80,120,40,140,0,580,0];
	p_line1 = s.line(0,0, 4,4).attr({"class":"fieldGrid_danger"});
	p_line2 = s.line(4,0, 0,4).attr({"class":"fieldGrid_danger"});
	p_rect = s.rect(0,0, 4,4).attr({"class":"fieldGridBg_danger"});
	patternBg = s.g(p_line1, p_line2, p_rect).pattern(0,0, 4,4);
	if(team==0){
		background = s.polygon(points1);
		txt1 = s.text(vbW/1.5-txtPadding, vbH/2.1, this.game.home).attr({"class":"teamTxt", textAnchor: "end"});
		txt2 = s.text(vbW/1.5-txtPadding, vbH/2.1+lineHeight, t_da).attr({"class":"desTxt", textAnchor: "end"});
	}else{
		background = s.polygon(points2);
		txt1 = s.text(vbW-vbW/1.5+txtPadding, vbH/2.1, this.game.away).attr({"class":"teamTxt", textAnchor: "start"});
		txt2 = s.text(vbW-vbW/1.5+txtPadding, vbH/2.1+lineHeight, t_da).attr({"class":"desTxt", textAnchor: "start"});
	}
	background.attr({fill: patternBg, opacity: 0.6});
	currentObj = s.g(background, txt1, txt2);
	
	bgMove();
	
}
function p1Move() {
    if (p1 == null) return;
    p1.animate({ opacity: 0 }, 500, function () {
        if (p1 == null) return;
        p1.animate({ opacity: 1 }, 200, p1Move);
    });
}
function p1MoveSlow() {
    if (p1Slow == null) return;
    p1Slow.animate({ opacity: 0 }, 800, function () {
        if (p1Slow == null) return;
        p1Slow.animate({ opacity: 1 }, 400, p1MoveSlow);
    });
}
//界外球
playGame.prototype.ThrowIn = function(team){
    removeObjA();
	gX = vbW/3;
	gY = 0;
	if(team==0){
		txt1 = s.text(vbW/2.8, vbH/3, this.game.home).attr({"class":"teamTxt", textAnchor: "end"});
		txt2 = s.text(vbW/2.8, vbH/3+lineHeight, t_throwin).attr({"class":"desTxt", textAnchor: "end"});
	}else{
		txt1 = s.text(vbW-vbW/2.8, vbH/3, this.game.away).attr({"class":"teamTxt", textAnchor: "start"});
		txt2 = s.text(vbW-vbW/2.8, vbH/3+lineHeight, t_throwin).attr({"class":"desTxt", textAnchor: "start"});
	}
	arrow = s.polygon([0,6, 6,6, 3,0, 0,6]).attr({"class":"arrow"}).transform('r90');
	marker1 = arrow.marker(0,0, 6,6, 0,3);

	if(team==0){
	    p1Slow = s.line(gX, gY, gX * 1.2, vbH / 4).attr({ "class": "arrowLine", markerEnd: marker1 });
	}else{
	    p1Slow = s.line(vbW - gX, gY, vbW - gX * 1.2, vbH / 4).attr({ "class": "arrowLine", markerEnd: marker1 });
	}

	p1MoveSlow();
	
	currentObj = s.g(p1Slow, txt1, txt2);
}
var f;
//越位
playGame.prototype.Offside = function(team){
    removeObjA();
    currentObj = s.g(this.img_notice.attr("display", "block"));
    currentObj.attr({ opacity: 1 });
    var txt1 = currentObj.text(80, 37, t_offside).attr({ "class": "txtMark", textAnchor: "middle" });
    f = currentObj.filter(Snap.filter.shadow(1, 1, 1));
    currentObj.attr({ filter: f });
	txt1.attr({filter:f});
	var teamName = this.game.away;
	if(team==0){
		teamName = this.game.home; 
	}
	currentObj.text(80, 37 + lineHeight * 1.4, teamName).attr({ "class": "teamTxt", textAnchor: "middle" });

	//越位旗
	var r1 = currentObj.rect(0, 0, 20, 20).attr({ fill: "#ee2424" });
	var r2 = currentObj.rect(20, 20, 20, 20).attr({ fill: "#ee2424" });
	var r3 = currentObj.rect(20, 0, 20, 20).attr({ fill: "#F9EF62" });
	var r4 = currentObj.rect(0, 20, 20, 20).attr({ fill: "#F9EF62" });
	var icon = currentObj.group(r1, r2, r3, r4);
    icon.transform("t160 22");


    currentObj.transform("t" + (vbW / 2 - 125) + " " + (vbH / 2 - 45));
}
//红黄牌
var cardName = t_cy;
var cardClass = "cardYellow";
playGame.prototype.Card = function(team,card){
    removeObjA();
    currentObj = s.g(this.img_notice.attr("display", "block"));
    currentObj.attr({ opacity: 1 });
	if(card==0){
		cardName = t_cr;
		cardClass = "cardRed";
	}
	txt1 = currentObj.text(80, 37, cardName).attr({ "class": "txtMark", textAnchor: "middle" });
	f = currentObj.filter(Snap.filter.shadow(1, 1, 1));
	currentObj.attr({ filter: f });
	txt1.attr({filter:f});
	var teamName = this.game.away;
	if(team==0){
		teamName = this.game.home; 
	}
	currentObj.text(80, 37 + lineHeight * 1.4, teamName).attr({ "class": "teamTxt", textAnchor: "middle" });

	var p1 = "M50.214,59.638c0,2.627-2.131,4.758-4.758,4.758H5.458c-2.627,0-4.758-2.131-4.758-4.758V5.372c0-2.625,2.131-4.756,4.758-4.756h39.999c2.627,0,4.758,2.131,4.758,4.756V59.638z";
	var icon = currentObj.path(p1);
	icon.attr({"class":cardClass});
    icon.transform("t160 12");

    currentObj.transform("t" + (vbW / 2 - 125) + " " + (vbH / 2 - 45));
}
//Normal Notic
playGame.prototype.Notice = function(team,txt){
    removeObjA();
    currentObj = s.g(this.img_notice.attr("display", "block"));
    currentObj.attr({ opacity: 1 });
    txt1 = currentObj.text(125, 37, txt).attr({ "class": "txtMark", textAnchor: "middle" });
    f = currentObj.filter(Snap.filter.shadow(1, 1, 1));
    currentObj.attr({ filter: f });
	txt1.attr({filter:f});
	var teamName = this.game.away;
	if(team==0){
		teamName = this.game.home; 
	}
	currentObj.text(125, 37 + lineHeight * 1.4, teamName).attr({ "class": "teamTxt", textAnchor: "middle" });

	currentObj.transform("t" + (vbW / 2 - 125) + " " + (vbH / 2 - 45));
}
//Single Notic
playGame.prototype.NoticeSingle = function(txt){
    removeObjA();
    currentObj = s.g(this.img_notice.attr("display", "block"));
    currentObj.attr({ opacity: 1 });
    txt1 = currentObj.text(125, 50, txt).attr({ "class": "txtMark_single", textAnchor: "middle" });
    f = currentObj.filter(Snap.filter.shadow(1, 1, 1));
    currentObj.attr({ filter: f });
    txt1.attr({filter:f});

    currentObj.transform("t" + (vbW / 2 - 125) + " " + (vbH / 2 - 45));
}
//任意球
playGame.prototype.FreeKick = function(team){
    removeObjA();
	gX = vbW/2.5;
	gY = vbH/1.6;
	if(team==0){
		txt1 = s.text(vbW/2.3-txtPadding, vbH/2.1, this.game.home).attr({"class":"teamTxt", textAnchor: "end"});
		txt2 = s.text(vbW/2.3-txtPadding, vbH/2.1+lineHeight, t_fk).attr({"class":"desTxt", textAnchor: "end"});
	}else{
		gX = vbW-gX;
		txt1 = s.text(vbW-vbW/2.3+txtPadding, vbH/2.1, this.game.away).attr({"class":"teamTxt", textAnchor: "start"});
		txt2 = s.text(vbW-vbW/2.3+txtPadding, vbH/2.1+lineHeight, t_fk).attr({"class":"desTxt", textAnchor: "start"});
	}
	arrow = s.polygon([0,6, 6,6, 3,0, 0,6]).attr({"class":"arrow"}).transform('r90');
	circle = s.circle(gX, gY, 4).attr({"class":"circle"});
	ring = s.circle(gX, gY, 8).attr({"class":"ring"});
    g1 = s.g(circle, ring);
	marker1 = arrow.marker(0,0, 6,6, 0,3);
	if(team==0){
	    p1Slow = s.line(gX, gY, gX * 1.8, vbH / 2).attr({ "class": "arrowLine", markerEnd: marker1 });
	}else{
	    p1Slow = s.line(gX, gY, gX - (vbW - gX) * 0.8, vbH / 2).attr({ "class": "arrowLine", markerEnd: marker1 });
	}

	circleMove();
	ringMove();
	p1MoveSlow();

	currentObj = s.g(g1, p1Slow, txt1, txt2);
}
//危险任意球
var dbyt = "";
var dbyt2 = "-";
var tg,ggX,ggY;
playGame.prototype.DangerFreeKick = function(team,zone){
    removeObjA();
	gX = vbW/1.6;
	gY = vbH/1.8;
	if(team==0){
		txt1 = s.text(vbW/1.3-txtPadding, vbH/2.5, this.game.home).attr({"class":"teamTxt", textAnchor: "end"});
		txt2 = s.text(vbW/1.3-txtPadding, vbH/2.5+lineHeight, t_dfk).attr({"class":"desTxt", textAnchor: "end"});
	}else{
		dbyt="-";
		dbyt2="";
		gX = vbW-gX;
		txt1 = s.text(vbW-vbW/1.3+txtPadding, vbH/2.5, this.game.away).attr({"class":"teamTxt", textAnchor: "start"});
		txt2 = s.text(vbW-vbW/1.3+txtPadding, vbH/2.5+lineHeight, t_dfk).attr({"class":"desTxt", textAnchor: "start"});
	}
	tg = s.group(txt1,txt2);
	switch(zone){
		case 1:
			tg.transform("t"+dbyt2+"100 30");
			break;
		case 3:
			tg.transform("t"+dbyt2+"60 80");
			break;
		case 4:
			tg.transform("t"+dbyt2+"60 0");
			break;
		default:
			tg.transform("t0 0");
			break;
	}
	arrow = s.polygon([0,6, 6,6, 3,0, 0,6]).attr({"class":"arrow"}).transform('r90');
	circle = s.circle(gX, gY, 4).attr({"class":"circle"});
	ring = s.circle(gX, gY, 8).attr({"class":"ring"});
	g1 = s.g(circle,ring)
	marker1 = arrow.marker(0,0, 6,6, 0,3);
	if(team==0){
		ggX = gX*1.35;
		ggY = vbH/2+5;
		switch(zone){
			case 1:
				ggX = ggX/1.25;
				break;
			case 2:
				ggX = ggX/1.1;
				break;
			case 3:
				ggX = ggX/1.1;
				ggY = ggY*1.5;
				break;
			case 4:
				ggX = ggX/1.1;
				ggY = ggY/1.8;
				break;
		}
		p1 = s.line(gX, gY,ggX,ggY).attr({"class":"arrowLine",markerEnd: marker1});
	}else{
		ggX = gX-(vbW-gX)*0.25;
		ggY = vbH/2+5;
		switch(zone){
			case 1:
				ggX = ggX*1.5;
				break;
			case 2:
				ggX = ggX*1.05;
				break;
			case 3:
				ggX = ggX*1.05;
				ggY = ggY*1.5;
				break;
			case 4:
				ggX = ggX*1.05;
				ggY = ggY/1.8;
				break;
		}
		p1 = s.line(gX, gY,ggX,ggY).attr({"class":"arrowLine",markerEnd: marker1});
	}

	circleMove();
	ringMove();
	p1Move();

	currentObj = s.g(g1, p1, tg);


	switch(zone){
		case 1:
		    currentObj.transform("t" + dbyt + "176 0");
			break;
		case 2:
		    currentObj.transform("t" + dbyt + "120 0");
			break;
		case 3:
		    currentObj.transform("t" + dbyt + "120 -75");
			break;
		case 4:
		    currentObj.transform("t" + dbyt + "120 55");
			break;
		default:
		    currentObj.transform("t" + dbyt + "0 0");
			break;
	}
}

function g1Move() {
    if (g1 == null)return;
    g1.animate({ opacity: 0 }, 500, function () {
        if (g1 == null) return;
        g1.animate({ opacity: 1 }, 200, g1Move);
    });
}
//角球
var pa1 = "M0,123.419C54.47,81.768,42.325,12.63,40.995,13.937";
var po1 = "47.146,12.903 35.162,16.568 38.579,5.333";
var pa2 = "M72.759,123.419C18.289,81.768,30.434,12.63,31.764,13.937";
var po2 = "25.613,12.903 37.597,16.568 34.18,5.333";
var arc;
playGame.prototype.Corner = function(team,zone){
    removeObjA();

	if(team==0){
		if(zone=='right'){
			txt1 = s.text(vbW/1.1-txtPadding, vbH/1.2, this.game.home).attr({"class":"teamTxt", textAnchor: "end"});
			txt2 = s.text(vbW/1.1-txtPadding, vbH/1.2+lineHeight, t_corner).attr({"class":"desTxt", textAnchor: "end"});
			arrow = s.polygon(po2).attr({"class":"arrow"});
			arc = s.path(pa2).attr({"class":"arc"});
			g1 = s.g(arrow,arc);
			g1.transform("t505 115");
		}else{
			txt1 = s.text(vbW/1.1-txtPadding, vbH/6, this.game.home).attr({"class":"teamTxt", textAnchor: "end"});
			txt2 = s.text(vbW/1.1-txtPadding, vbH/6+lineHeight, t_corner).attr({"class":"desTxt", textAnchor: "end"});
			arrow = s.polygon(po1).attr({"class":"arrow"});
			arc = s.path(pa1).attr({"class":"arc"});
			g1 = s.g(arrow,arc);
			g1.transform("r180 t-524 5");
		}
	}else{
		if(zone=='left'){
			txt1 = s.text(vbW-vbW/1.1+txtPadding, vbH/1.2, this.game.away).attr({"class":"teamTxt", textAnchor: "start"});
			txt2 = s.text(vbW-vbW/1.1+txtPadding, vbH/1.2+lineHeight, t_corner).attr({"class":"desTxt", textAnchor: "start"});
			arrow = s.polygon(po1).attr({"class":"arrow"});
			arc = s.path(pa1).attr({"class":"arc"});
			g1 = s.g(arrow,arc);
			g1.transform("t0 115");
		}else{
			txt1 = s.text(vbW-vbW/1.1+txtPadding, vbH/6, this.game.away).attr({"class":"teamTxt", textAnchor: "start"});
			txt2 = s.text(vbW-vbW/1.1+txtPadding, vbH/6+lineHeight, t_corner).attr({"class":"desTxt", textAnchor: "start"});
			arrow = s.polygon(po2).attr({"class":"arrow"});
			arc = s.path(pa2).attr({"class":"arc"});
			g1 = s.g(arrow,arc);
			g1.transform("r180 t18 5");
		}
	}

	g1Move();
	

	currentObj = s.g(g1, txt1, txt2);
}

var goalBg, goalBg2;
function goalMove() {
    if (goalBg == null) return;
    goalBg.animate({ opacity: 0.3 }, 100, function () {
        if (goalBg == null) return;
        goalBg.animate({ opacity: 0.6 }, 100, goalMove);
    });
}
//进球
var teamName;
var football,pointsX;
playGame.prototype.Goal = function(team){
    removeObjA();
    pointsX = [0, 0, 580, 0, 580, 240, 0, 240, 0, 0];
    p_line1 = s.line(0, 0, 4, 4).attr({ "class": "fieldGrid_danger" });
    p_line2 = s.line(4, 0, 0, 4).attr({ "class": "fieldGrid_danger" });
    p_rect = s.rect(0, 0, 4, 4).attr({ "class": "fieldGridBg_danger" });
    patternBg = s.g(p_line1, p_line2, p_rect).pattern(0, 0, 4, 4);
    goalBg = s.polygon(pointsX).attr({ fill: patternBg, opacity: 0.6 });

    currentObj = s.g(this.img_notice.attr("display", "block"));
    currentObj.attr({ opacity: 1 });
    txt1 = currentObj.text(80, 37, t_goal).attr({ "class": "txtMark", textAnchor: "middle" });
    f = currentObj.filter(Snap.filter.shadow(1, 1, 1));
    currentObj.attr({ filter: f });
	txt1.attr({filter:f});
	teamName = this.game.away;
	if(team==0){
		teamName = this.game.home; 
	}
	currentObj.text(80, 37 + lineHeight * 1.4, teamName).attr({ "class": "teamTxt", textAnchor: "middle" });

    //足球

	football = s.g(this.img_football.attr("display", "block"));
	football.attr({ opacity: 1 });
	football.transform("t170 10");
	//football.animate({ transform: 'r180 t-230 -70' }, 1000, mina.bounce);

	goalMove();

	currentObj = s.g(currentObj, football);
	currentObj.transform("t" + (vbW / 2 - 125) + " " + (vbH / 2 - 45));
    
	currentObj = s.g(goalBg, currentObj);
}
//进球2
playGame.prototype.Goal2 = function (team) {
    removeObjA();

    currentObj = s.g(this.img_notice.attr("display", "block"));
    currentObj.attr({ opacity: 1 });
    txt1 = currentObj.text(80, 37, t_goal).attr({ "class": "txtMark", textAnchor: "middle" });
    f = currentObj.filter(Snap.filter.shadow(1, 1, 1));
    currentObj.attr({ filter: f });
    txt1.attr({ filter: f });
    teamName = this.game.away;
    if (team == 0) {
        teamName = this.game.home;
    }
    currentObj.text(80, 37 + lineHeight * 1.4, teamName).attr({ "class": "teamTxt", textAnchor: "middle" });

    //足球

    football = s.g(this.img_football.attr("display", "block"));
    football.attr({ opacity: 1 });
    football.transform("t170 10");
    //football.animate({ transform: 'r180 t-230 -70' }, 1000, mina.bounce);

    

    currentObj = s.g(currentObj, football);
    currentObj.transform("t" + (vbW / 2 - 125) + " " + (vbH / 2 - 45));

    goalBg2 = s.rect(0, 0, 580, 240).attr({ "class": "fieldGridBg_goal" });
    goalBg2.animate({ opacity: 0 }, 2000);

    currentObj = s.g(goalBg2, currentObj);
}

//移除对象
function removeObjA() {
    if (currentObj) {
        currentObj.stop();
        currentObj.remove();
    }
    currentObj = null;
    p_line1 = null;
    p_line2 = null;
    p_rect = null;
    patternBg = null;
    background = null;
    backgroundSlow = null;
    nbg = null;
    goalBg = null;
    goalBg2 = null;
    gX = null;
    gY = null;
    arrow = null;
    circle = null;
    ring = null;
    g1 = null;
    marker1 = null;
    p1 = null;
    points1 = null;
    points2 = null;
    direct = null;
    f = null;
    tg = null;
    ggX = null;
    ggY = null;
    arc = null;
    teamName = null;
    football = null;
}